العودة للمرجع
GET/wallets/{walletId}/ledger
Ledger

قيود دفتر المحفظة

يعيد قيود الدفتر غير القابلة للتعديل؛ التصحيح يتم بقيود عكس.

مستوى الوصولbusiness_financeالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/WalletApiController.php::ledgerLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
walletIdpath
integerإلزامي

Numeric wallet identifier.

Example: 42
per_pagequery
integerاختياري

Page size.

Example: 20
pagequery
integerاختياري

Page number.

Example: 1

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallets/42/ledger' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
Example: true
data
any
{
  "status": true,
  "data": {
    "data": [
      {
        "id": 3301,
        "uuid": "00000000-0000-4000-8000-000000000001",
        "wallet_id": 42,
        "transaction_id": null,
        "direction": "debit",
        "amount": 1250.5,
        "signed_amount": -1250.5,
        "currency_code": "YER",
        "exchange_rate": null,
        "local_amount": null,
        "signed_local_amount": null,
        "local_currency_code": null,
        "balance_after": 3749.5,
        "entry_type": "transfer",
        "status": "posted",
        "idempotency_key": null,
        "reference_type": null,
        "reference_id": null,
        "description": null,
        "reversed_by_entry_id": null,
        "is_reversal": false,
        "reverses_entry_id": null,
        "meta": null,
        "created_at": null
      }
    ],
    "current_page": 1,
    "last_page": 4,
    "per_page": 20,
    "total": 73,
    "from": 1,
    "to": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection